-- adding customer field
UPDATE [dbo].[RG_Datasource] SET [QueryText] = 'SELECT pj.*, stat.StatusName, prio.Name as PriorityName, 
cust.CompanyName as Customer
FROM TT_Projects pj  
INNER JOIN DD_Statuses as stat  
ON stat.Number = pj.Status   
INNER JOIN DD_Priorities prio  
ON prio.Number = pj.Priority  
LEFT OUTER JOIN TT_CustomerDetails cust
ON cust.CustomerID = pj.CustomerID
WHERE stat.StatusType=''Project''
AND pj.ProjectID IN ?' WHERE [DatasourceID] = 1
GO

INSERT INTO [dbo].[RG_DatasourceField]([DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) 
VALUES (1, 'Customer', 'Customer', 2, NULL, 20, 0)
GO

UPDATE [dbo].[RG_Datasource] SET [QueryText] = 'SELECT ts.*, proj.Name as ProjectName, stat.StatusName, cat.Name as CategoryName, prior.Name as PriorityName,
CASE WHEN ts.TaskType = 1 THEN ''{task}'' WHEN ts.TaskType = 2 THEN ''{bug}'' ELSE ''{request}'' END as TaskTypeName, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status
								INNER JOIN TT_Categories cat
								ON cat.CategoryID = ts.CategoryID
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE stat.StatusType = CASE WHEN ts.TaskType = 1 THEN ''Task'' WHEN ts.TaskType = 2 THEN ''Bug'' ELSE ''Request'' END
								AND proj.ProjectID IN ?
								UNION ALL

SELECT ts.*, proj.Name as ProjectName, stat.StatusName, cat.Name as CategoryName, prior.Name as PriorityName,
CASE WHEN ts.TaskType = 1 THEN ''{task}'' WHEN ts.TaskType = 2 THEN ''{bug}'' ELSE ''{request}'' END as TaskType, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status
								INNER JOIN TT_Categories cat
								ON cat.CategoryID = ts.CategoryID
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE stat.StatusType = CASE WHEN ts.TaskType = 1 THEN ''Task'' WHEN ts.TaskType = 2 THEN ''Bug'' ELSE ''Request'' END
								AND proj.ProjectID IN ?
								AND EXISTS (SELECT * FROM TT_TaskAssignee ta WHERE 
								ta.TaskID = ts.TaskID
								AND ta.UserID = ?
								)' WHERE [DatasourceID] = 2
GO

INSERT INTO [dbo].[RG_DatasourceField]([DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) 
VALUES (2, 'Customer', 'Customer', 2, NULL, 20, 0)
GO

UPDATE [dbo].[RG_Datasource] SET [QueryText] = 'SELECT ts.*, proj.Name as ProjectName, bgtp.Name as BugTypeName, stat.StatusName, prior.Name as PriorityName, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status AND stat.StatusType = ''Bug''
								LEFT OUTER JOIN DD_BugTypes bgtp
								ON bgtp.Number = ts.BugType
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE ts.TaskType = 2 
								AND proj.ProjectID IN ?
								UNION ALL

SELECT ts.*, proj.Name as ProjectName, bgtp.Name as BugTypeName, stat.StatusName, prior.Name as PriorityName, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status AND stat.StatusType = ''Bug''
								LEFT OUTER JOIN DD_BugTypes bgtp
								ON bgtp.Number = ts.BugType
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE ts.TaskType = 2
								AND proj.ProjectID IN ?
								AND EXISTS (SELECT * FROM TT_TaskAssignee ta WHERE 
								ta.TaskID = ts.TaskID
								AND ta.UserID = ?
								)' WHERE [DatasourceID] = 4
GO

INSERT INTO [dbo].[RG_DatasourceField]([DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) 
VALUES (4, 'Customer', 'Customer', 2, NULL, 20, 0)
GO


UPDATE [dbo].[RG_Datasource] SET [QueryText] = 'SELECT ts.*, proj.Name as ProjectName, stat.StatusName, prior.Name as PriorityName, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status AND stat.StatusType = ''Request''
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE ts.TaskType = 3 
								AND proj.ProjectID IN ?
								UNION ALL

SELECT ts.*, proj.Name as ProjectName, stat.StatusName, prior.Name as PriorityName, cust.CompanyName as Customer
								FROM TT_Tasks ts
								INNER JOIN TT_Projects proj
								ON proj.ProjectID = ts.ProjectID
								INNER JOIN DD_Statuses stat
								ON stat.Number = ts.Status AND stat.StatusType = ''Request''
								INNER JOIN DD_Priorities prior
								ON prior.Number = ts.Priority 
							  LEFT OUTER JOIN TT_CustomerDetails cust
                ON cust.CustomerID = proj.CustomerID
								WHERE ts.TaskType = 3
								AND proj.ProjectID IN ?
								AND EXISTS (SELECT * FROM TT_TaskAssignee ta WHERE 
								ta.TaskID = ts.TaskID
								AND ta.UserID = ?
								)' WHERE [DatasourceID] = 5
GO

INSERT INTO [dbo].[RG_DatasourceField]([DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) 
VALUES (5, 'Customer', 'Customer', 2, NULL, 20, 0)
GO

UPDATE [dbo].[RG_Datasource] SET [QueryText] = 'SELECT lg.*, proj.Name as ProjectName, us.DisplayName UserDisplayName, 
ts.Title TaskTitle, cat.Name CategoryName, cust.CompanyName as Customer
FROM TT_EntryLog lg
INNER JOIN TT_Projects proj
ON proj.ProjectID = lg.ProjectID
INNER JOIN TT_Users us
ON us.UserID = lg.UserID
INNER JOIN TT_Tasks ts
ON ts.TaskID = lg.TaskID
INNER JOIN TT_Categories cat
ON cat.CategoryID = lg.CategoryID
LEFT OUTER JOIN TT_CustomerDetails cust
ON cust.CustomerID = proj.CustomerID
WHERE proj.ProjectID IN ?
UNION ALL
SELECT lg.*, proj.Name as ProjectName, us.DisplayName UserDisplayName, 
ts.Title TaskTitle, cat.Name CategoryName, cust.CompanyName as Customer
FROM TT_EntryLog lg
INNER JOIN TT_Projects proj
ON proj.ProjectID = lg.ProjectID
INNER JOIN TT_Users us
ON us.UserID = lg.UserID
INNER JOIN TT_Tasks ts
ON ts.TaskID = lg.TaskID
INNER JOIN TT_Categories cat
ON cat.CategoryID = lg.CategoryID
LEFT OUTER JOIN TT_CustomerDetails cust
ON cust.CustomerID = proj.CustomerID
WHERE proj.ProjectID IN ? AND lg.UserID = ?' WHERE [DatasourceID] = 6
GO

INSERT INTO [dbo].[RG_DatasourceField]([DatasourceID], [FieldName], [DisplayName], [Datatype], [DataFormat], [Width], [Aggregation]) 
VALUES (6, 'Customer', 'Customer', 2, NULL, 20, 0)
GO

UPDATE TT_Version SET Major=4, Minor=0, Build=4, MinorBuild=1
GO