<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   version="1.0">
   
   <xsl:template match="message">
   <html>
   
	<body>
	  <p><strong>*This is an auto-generated e-mail. 
			Please don't reply to it!*</strong></p>
	
		<p>Dear %RECIPIENT%,</p>
		 <p>
		 Task "<a><xsl:attribute name="href"><xsl:value-of select="serverpath" />/TaskDetails.aspx?id=<xsl:value-of select="new/taskid" /></xsl:attribute><xsl:value-of select="old/title"/></a>" in project "<xsl:value-of select="old/project/name"/>" has just been changed by <xsl:value-of select="initiator/displayname"/>: </p>
		 <p>
			<xsl:if test="old/tasktype!=new/tasktype">
				<strong>Old task type: </strong>"<xsl:value-of select="old/tasktype"/>" <br></br>
				<strong>New task type: </strong>"<xsl:value-of select="new/tasktype"/>" <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/title!=new/title">
				<strong>Old title value: </strong>"<xsl:value-of select="old/title"/>" <br></br>
				<strong>New title value: </strong>"<xsl:value-of select="new/title"/>" <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/category/categoryid!=new/category/categoryid">
				<strong>Old category value: </strong><xsl:value-of select="old/category/name"/> <br></br>
				<strong>New category value: </strong><xsl:value-of select="new/category/name"/> <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/status/statusname!=new/status/statusname">
				<strong>Old status value: </strong><xsl:value-of select="old/status/statusname"/> <br></br>
				<strong>New status value: </strong><xsl:value-of select="new/status/statusname"/> <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/description!=new/description">
				<strong>Old description value: </strong> <br></br><xsl:copy-of select="old/description"/> <br></br>
				<strong>New description value: </strong> <br></br><xsl:copy-of select="new/description"/> <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/estcompletiondate!=new/estcompletiondate">
				<strong>Old estimated completion date value: </strong><xsl:value-of select="old/estcompletiondate"/> <br></br>
				<strong>New estimated completion date value: </strong><xsl:value-of select="new/estcompletiondate"/> <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/estduration!=new/estduration">
				<strong>Old estimated duration value: </strong><xsl:value-of select="old/estduration"/> <br></br>
				<strong>New estimated duration value: </strong><xsl:value-of select="new/estduration"/> <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/percentcompleted!=new/percentcompleted">
				<strong>Old percent completed value: </strong><xsl:value-of select="old/percentcompleted"/>% <br></br>
				<strong>New percent completed value: </strong><xsl:value-of select="new/percentcompleted"/>% <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/priority/name!=new/priority/name">
				<strong>Old priority value: </strong><xsl:value-of select="old/priority/name"/> <br></br>
				<strong>New priority value: </strong><xsl:value-of select="new/priority/name"/> <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/projectid!=new/projectid">
				<strong>Old project: </strong>"<xsl:value-of select="old/project/name"/>" <br></br>
				<strong>New project: </strong>"<xsl:value-of select="new/project/name"/>" <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/parentid!=new/parentid">
				<strong>Old parent task: </strong><xsl:if test="count(old/parenttask/taskid)=0">&lt;root task&gt;</xsl:if><xsl:if test="count(old/parenttask/taskid)&gt; 0">"<xsl:value-of select="old/parenttask/title"/>"</xsl:if> <br></br>
				<strong>New parent task: </strong><xsl:if test="count(new/parenttask/taskid)=0">&lt;root task&gt;</xsl:if><xsl:if test="count(new/parenttask/taskid)&gt; 0">"<xsl:value-of select="new/parenttask/title"/>"</xsl:if> <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/startdate!=new/startdate">
				<strong>Old start date value: </strong><xsl:value-of select="old/startdate"/> <br></br>
				<strong>New start date value: </strong><xsl:value-of select="new/startdate"/> <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/billable!=new/billable">
				<strong>Old billing state: </strong><xsl:if test="old/billable='True'">billable</xsl:if><xsl:if test="old/billable='False'">non-billable</xsl:if> <br></br>				
				<strong>New billing state: </strong><xsl:if test="new/billable='True'">billable</xsl:if><xsl:if test="new/billable='False'">non-billable</xsl:if> <br></br>				
				<br></br>
			</xsl:if>
			<xsl:if test="old/billingtype!=new/billingtype">
				<strong>Old billing type: </strong>
				<xsl:choose>
					<xsl:when test="old/billingtype='FixedCost'">Fixed Cost</xsl:when>
					<xsl:when test="old/billingtype='HourlyRate'">Hourly Rate</xsl:when>
					<xsl:otherwise><xsl:value-of select="old/billingtype"/></xsl:otherwise>
				</xsl:choose> <br></br>
				<strong>New billing type: </strong>
				<xsl:choose>
					<xsl:when test="new/billingtype='FixedCost'">Fixed Cost</xsl:when>
					<xsl:when test="new/billingtype='HourlyRate'">Hourly Rate</xsl:when>
					<xsl:otherwise><xsl:value-of select="new/billingtype"/></xsl:otherwise>
				</xsl:choose> <br></br>
				<br></br>
			</xsl:if>
			<xsl:if test="old/amount!=new/amount">
				<strong>Old billing amount value: </strong><xsl:value-of select="old/amount"/> <br></br>
				<strong>New billing amount value: </strong><xsl:value-of select="new/amount"/> <br></br>
				<br></br>
			</xsl:if>
			<!--
			<xsl:if test="assigneeschanged">
				<strong>Old assignees: </strong><xsl:if test="count(old/taskassignees/user)=0">none </xsl:if>
				<xsl:if test="count(old/taskassignees/user)&gt; 0">
					<TABLE>					
						<xsl:for-each select="old/taskassignees/user">
						<xsl:sort select="displayname"/>
							<TR>
								<TD><xsl:value-of select="displayname" /></TD>					
							</TR>
						</xsl:for-each>
					</TABLE>
				</xsl:if>			
				<br></br>
				<strong>New assignees: </strong><xsl:if test="count(new/taskassignees/user)=0">none </xsl:if>
				<xsl:if test="count(new/taskassignees/user)&gt; 0">
					<TABLE>
						<xsl:for-each select="new/taskassignees/user">
						<xsl:sort select="displayname"/>
							<TR>
								<TD><xsl:value-of select="displayname" /></TD>					
							</TR>
						</xsl:for-each>
					</TABLE>
				</xsl:if>
				<br></br>				
			</xsl:if>	
			-->		
		</p>
		<p>
		Please click	
		<a><xsl:attribute name="href"><xsl:value-of select="serverpath" />/TaskDetails.aspx?id=<xsl:value-of select="new/taskid" /></xsl:attribute>here</a>
		 to open this task. 
		</p>
		
		<p>Thank you for using Easy Projects .NET</p>

		<p><i>Regards, <br></br>
		Easy Projects .NET notification system</i></p>
   </body>
   </html>
</xsl:template>

</xsl:stylesheet>
